
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Windows Azure Virtual Machine (5) 配置VM的Endpoints / iVAN</title>

    <meta name="description" content="Windows Azure Virtual Machine (5) 配置VM的Endpoints 首先我们回顾前几章介绍的内容: 1.首先我们新建了预装了SQL Server 2012的Virtual Machine 2.创建完毕后,我们在这个VM里mount disk,分别是F盘(50GB) 和G盘(80GB) 3.然后我们配置SQL Server 2012,将Data,Log, Backups分别指向我们创建的F盘和G盘.将TCP/IP协议设置成Enabled,并且配置防火墙规则,允许访问1433端口. 本章我将给大家介绍,如何设置VM的Endpoint.这样,我们通过本地的SQL Se">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Windows Azure Virtual Machine (5) 配置VM的Endpoints</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>首先我们回顾前几章介绍的内容：</p>
<p>1.首先我们新建了预装了SQL Server 2012的Virtual Machine</p>
<p>2.创建完毕后，我们在这个VM里mount disk，分别是F盘(50GB) 和G盘(80GB)</p>
<p>3.然后我们配置SQL Server 2012，将Data，Log, Backups分别指向我们创建的F盘和G盘。将TCP/IP协议设置成Enabled，并且配置防火墙规则，允许访问1433端口。</p>
<p>本章我将给大家介绍，如何设置VM的Endpoint。这样，我们通过本地的SQL Server Management Studio，就直接可以连接到云端创建的SQL Server 服务了。</p>
<p>首先我们先讲一下关于Windows Azure的EndPoints的概念。Windows Azure EndPoints分两种，分别是Public Port和Private Port。</p>
<p>Public Port。表示这个Endpoint是对Internet开放的。所有从外部发起的访问，都是通过Public Port来进行的。</p>
<p>Private Port。这个Endpoint不对Inetnet开放，只对Windows Azure 内部开放。如果Windows Azure包含多个实例(multi instance)并行计算，那么实例与实例(instance to instance)的内部访问是通过Private Port来实现的。</p>
<p>Endpoint使用TCP或者UDP的协议，TCP协议包括HTTP和HTTPS通信。</p>
<p>我们来看下面一张图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIxMzM2Mko4LTAuanBn.jpg"></p>
<p>上图中，Public Port是57500，Private Port是1433。</p>
<p>当外部的资源想访问Windows Azure服务时，是通过端口号为57500来访问的。</p>
<p>然后Windows Azure的Load Balance会将这个请求转发到内部1433端口号，来实现访问。</p>
<p>这样的好处是：Private Port可以实现内部消息的相互通信。Public Port可以开放Internet到Windows Azure的访问。两者互不冲突。而且在多实例的时候，可以将Public Port的消息通过负载均衡路由到每个VM，实现请求的自动负载均衡。具体架构如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIxMzM2MzA2My0xLmpwZw==.jpg"></p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Servers/cloud-computing/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 14:56:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e8%b4%9f%e8%bd%bd%e5%9d%87%e8%a1%a1/" title="负载均衡">负载均衡</a>, <a href="https://www.iamivan.net/tag/port/" title="port">port</a>, <a href="https://www.iamivan.net/tag/private/" title="private">private</a>, <a href="https://www.iamivan.net/tag/azure/" title="azure">azure</a>, <a href="https://www.iamivan.net/tag/endpoint/" title="endpoint">endpoint</a>, <a href="https://www.iamivan.net/tag/vm%c2%a0instance/" title="VM&nbsp;instance">VM&nbsp;instance</a>, <a href="https://www.iamivan.net/tag/azure%e9%85%8d%e7%bd%ae/" title="azure配置">azure配置</a>, <a href="https://www.iamivan.net/tag/azure-%e6%b6%88%e6%81%af%e6%8e%a8%e9%80%81/" title="azure 消息推送">azure 消息推送</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Windows Azure Virtual Machine (5) 配置VM的Endpoints的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2NNQp.html" rel="bookmark">Windows Azure Virtual Machine &lpar;3&rpar; 在VM上挂载磁盘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前一章里我已经向大家介绍了如何创建一个预安装SQL Server 2012的Windows Server VM. 本章我将介绍如何在这个VM上挂载磁盘. 看到这里,有读者可能会产生疑问:为什么在这里要介绍挂载磁盘的功能呢?在这里笔者先简单的介绍一下概念: 在一些现有的系统里,对于系统盘(比如C盘)的操作比较少,而大部分情况下是对除系统盘以外的其他盘符(比如 F盘 G盘等)做读写操作. 我们可以按照上一章的内容,远程登录Windows Azure的Virtual Machine.我们看到默认的磁			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2kkdb.html" rel="bookmark">Windows Azure Virtual Machine &lpar;9&rpar; Virtual Machine高可用与自</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Virtual Machine高可用与自动负载均衡(下) 上一章的内容里,我们为Azure Virtual Machine的准备工作已经完成.一个DNS地址对应2台不同的虚拟机,分别为LeiZhangVMOne和LeiZhangVMTwo.并且设置了高可用,名称为LeiAbvSet. 这时候如果我们通过IE访问DNS地址:http://LeiZhangVM.cloudapp.net,是无法访问的.这是因为之前选择的Windows Azure Virtual Machine是Server 2012			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZO22wb.html" rel="bookmark">Windows Azure Virtual Machine &lpar;10&rpar; 自定义Windows Azure Virtu</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自定义Windows Azure Virtual Machine模板 通过之前的文章,我相信大家对微软Windows Azure Virtual Machine有一定的了解了. 虽然微软提供了非常多的Azure Virtual Machine模版供我们选择(如下图),但是这些模版只是安装了最基本的操作系统而已. 试想一下,如果我是一个Web开发人员,那我在使用Virtual Machine的过程中.在每次创建完虚拟机后,我都需要远程桌面连接VM,手动安装IIS.这样的过程岂不是非常繁琐? 如果我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwnJvz.html" rel="bookmark">Windows Azure Virtual Machine &lpar;23&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Storage Space,提高Virtual Machine磁盘的IOPS 熟悉Windows Azure Virtual Machine的读者都知道,我们在创建完Azure VM之后,通过RDP登陆,可以看到Azure VM包含2块磁盘: 1)C盘是操作系统所在盘符,是持久化磁盘. 2)D盘是Temporary Storage,是非持久化盘.D盘只能用来存放临时文件,任何保存在D盘的文件在VM重置后会被删除. 有兴趣的的读者可以测试一下,其实Azure VM C盘的IOPS不是很好. 那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NZJgz.html" rel="bookmark">Windows Azure Virtual Machine &lpar;22&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用Azure PowerShell,设置Virtual Machine Endpoint 我们可以通过Windows Azure Management Portal,打开Virtual Machine的Endpoint,借用我之前博文的图片: 但是如果我们需要打开非常多的Endpoint, 就需要手动一个一个地设置,非常的繁琐. 其实我们可以通过Windows Azure Powershell,来批量设置Virtual Machine的Endpoint. 1.假设已经创建完毕一台Vitual			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jNY4b.html" rel="bookmark">Windows Azure Virtual Machine &lpar;21&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				将本地Hyper-V的VM上传至Windows Azure Virtual Machine 我们知道,Windows Azure Virtual Machine最大的优势是在于:上云容易,下云也方便. 我们可以在本地制作Hyper-V的VM,然后通过Azure PowerShell脚本,将本地的VHD上传至Windows Azure.来实现将本地的VM在云上进行托管.这对于我们现有的企业级应用来说,迁移非常方便. 与之前的文章不同,以前的文章我介绍的都是如何制作虚拟机镜像,这些镜像都要运行Sys			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal6BXz.html" rel="bookmark">Windows Azure Virtual Machine &lpar;20&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows Azure Virtual Machine (20) 关闭Azure Virtual Machine与VIP Address,Internal IP Address的关系(2) 本章笔者将向大家介绍的场景如下:2台Azure VM在共享同一个DNS地址. 在2台Azure VM的情况下,我们有以下2种方式安全停止Azure VM. 1)关闭其中一台Azure VM(使用Azure Management Portal, RDP或者PowerShell,三种方式) 2)同时关闭2台A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RNN3p.html" rel="bookmark">Windows Azure Virtual Machine &lpar;19&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关闭Azure Virtual Machine与VIP Address,Internal IP Address的关系(1) 在我们日常使用Windows Azure Virtual Machine的时候,如果服务不再被使用,我们就可以停止VM以节省成本. 一般情况下,有三种方式可以安全停止Azure VM: 1)使用Azure Management Portal,停止VM 2)使用远程桌面连接VM,在远程桌面关闭VM 3)使用Windows Azure PowerShell停止VM 在本章中,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRy118b.html" rel="bookmark">Windows Azure Virtual Machine &lpar;8&rpar; Virtual Machine高可用&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们之前介绍Windows Azure Virtual Machine的博文中不难发现,一台Vitual Machine对应一个DNS地址.但这样会出现一个问题:如果仅有的那台Virtual Machine因为异常发生宕机,当客户端通过DNS访问Azure服务,就会发生错误的情况.那在Azure Virtual Machine里如何实现高可用呢?我在这里给大家介绍一下. 本文会同时创建2台Azure Virtual Machine并公用一个DNS地址,以实现高可用性. 1.首先我们登陆Azure			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5WRbn.html" rel="bookmark" class="title">品牌H5营销完全实战指南</a>
					<div>
						那些百万PV的H5都是怎么做的?精心打造的H5要如何推广?H5技术将如何发展?本文一一为你解答 &gt;&gt;&gt; 作者微信号,欢迎关注:Social Talent 对于H5这个名词想必大家已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvG9Np.html" rel="bookmark" class="title">CSS3灵活的盒子模型&lpar;Flexible Box Module&rpar;</a>
					<div>
						CSS3 标准里引入了一些新的盒子模型参数,在 CSS2 的基础上,我们将能更灵活地调整页面上各个容器的大小和位置.详细的说明可以看这个文档. 通过学习和测试,我发现这种新的盒子模型布局对建立自适应布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4N2PM.html" rel="bookmark" class="title">批量建用户的shell小脚本</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://navyaijm.blog.51cto.com/4647068/880270  一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMynokp.html" rel="bookmark" class="title">编程中几个不良现象</a>
					<div>
						然而我们有的程序员在维护旧代码的过程,就仿佛如果遛狗.每修改一个程序就留下一些隐患,结果弄的一个原本好好的代码到处都是隐患. 良好的编程习惯是每个程序员都应该具备的工作素质,在我的软件生涯中屡屡发现一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boydgp.html" rel="bookmark" class="title">ASP用到哪些开发平台</a>
					<div>
						大家好! 今天我想针对一部分初学者不知道学习ASP的开发环境说几句.在开发之前,我们必须确定在哪个平台上开发ASP应用程序. ASP的开发平台首选Windows NT Server(Windows 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxqgjp.html" rel="bookmark" class="title">SEO培训市场众说纷纭 我们到底该相信谁</a>
					<div>
						如今站长人群急速膨胀,每个人手里都会有几个网站,在这样的竞争环境下,网站优化已经成为专职站长的必备技能,这才有了那句话&quot;这年头不会网站优化,你都不敢做网站&quot;.可是话说回来,谁也不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXlPWp.html" rel="bookmark" class="title">基于Azure云计算平台的网格计算，第1部分</a>
					<div>
						在这个由3部分组成的系列文章中,我们将看一下利用Azure云计算平台的网格计算.在第1部分中,我们将看到所涉及的设计模式以及一些有益的观点.在第2和第3部分,我们将看到一个用来展示专门为Azure而开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr4jZp.html" rel="bookmark" class="title">如何判断dataset中是否存在某个表</a>
					<div>
						DataSet ds=new DataSet(); //给表dt起了个名字dtName DataTable dt=new DataTable(&quot;dtName&quot;); //将dt表添加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx40jb.html" rel="bookmark" class="title">Excel 2007快速制作不同表格的方法</a>
					<div>
						我们在制作电子表格的时候,经常会遇到这样一种情况:要制作的几个表格文件格式.内容比较类似.如果复制.粘贴输入的相同内容,或者用&quot;另存为&quot;按钮保存为不同名称的文件是一件非常麻烦的事. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr1GPp.html" rel="bookmark" class="title">Spring数据源的灵活配置巧应用</a>
					<div>
						环境: Java SE 1.5 Spring-2.5.1 mysql-connector-java-5.1.5.zip Mysql 5.x 为了从数据库中取得数据,我们首先需要获取一个数据库连接. S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1PoEz.html" rel="bookmark" class="title">局域网内路由器限速问题分析</a>
					<div>
						局域网用路由器共享宽带如何限速? 家里用宽带路由器共享宽带,让2台电脑一起使用,但是我平时玩QQ农场和网络游戏,另一台电脑下载东西(普通下载.BT下载).他电脑大多数时 候是在下载东西.严重影响我的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN72Db.html" rel="bookmark" class="title">用PS合成唯美夕阳风景</a>
					<div>
						本教程是本人自己学习练习的一个例子,希望大家把握!其实图片合成是非常简单的,希望大家把握方法,谢谢大家支持. 原图,一张风景照片: 最终效果图: 用PS打开后,我们切换到通道面板,我们的目的是把照片中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pr68M.html" rel="bookmark" class="title">C＃实现Des加密和解密 代码</a>
					<div>
						using System; using System.IO; using System.Security.Cryptography; namespace Vavic { /// /// Securit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RyGKp.html" rel="bookmark" class="title">linux date命令查看和设置时间详解</a>
					<div>
						  date命令 date命令的功能是显示和设置系统日期和时间. 该命令的一般格式为: date [选项] 显示时间格式(以+开头,后面接格式) date 设置时间格式 命令中各选项的含义分别为: 代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXGZqp.html" rel="bookmark" class="title">jquery实现下拉菜单的二级联动利用json对象从DB取值显示联动</a>
					<div>
						 这篇文章主要介绍了jquery实现下拉菜单的二级联动利用json对象从DB取值显示联动,需要的朋友可以参考下 利用struts2和Ajax实现json对象的传输,然后实现菜单的二级联动    下面是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o9nBb.html" rel="bookmark" class="title">qq旋风离线下载怎么使用</a>
					<div>
						  1.将速度慢的任务转为离线下载; 2.等待离线下载完成; 3.待离线下载完成,点击&quot;存到本地&quot;,即可对本地任务进行加速下载; .查看本地任务加速状态. 加速前: 加速后:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKmYdM.html" rel="bookmark" class="title">鼠标不会动了怎么办</a>
					<div>
						鼠标使用过久难免也会出现这样或那样的问题,最典型的问题就是鼠标动不了的现象,那么鼠标不会动了怎么办呢?以下小编介绍下一般的排除方法: 1.鼠标连线接触不良 鼠标接口一般分为USB或者PS/2接口,其中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b243DVp.html" rel="bookmark" class="title">u盘安装Mac OS最简单的方法</a>
					<div>
						  在u盘安装Mac OS X 10.7 Lion Developer Preview 4最简单的方法,无需复杂的替换,无需复杂的恢复,就可以轻松搞定Mac OS X 10.7 Lion Develo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3no5z.html" rel="bookmark" class="title">gcc-&lowbar;&lowbar;sync&lowbar;  不知道是什么意思？网上也没有找到什么解释，不知道有没有朋友知道的？</a>
					<div>
						问题描述 __sync_ 不知道是什么意思?网上也没有找到什么解释,不知道有没有朋友知道的? 最近在看KAFKA,看到这样一行代码,对于宏定义的 __sync_ 不知道是什么意思?网上也没有找到什么解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqedkb.html" rel="bookmark" class="title">背水一战 Windows 10 &lpar;42&rpar; - 控件（导航类）&colon; Frame 动画</a>
					<div>
						原文:背水一战 Windows 10 (42) - 控件(导航类): Frame 动画 [源码下载] 背水一战 Windows 10 (42) - 控件(导航类): Frame 动画 作者:webab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0QZYM.html" rel="bookmark" class="title">javaweb-我想从后台返回给一个jsp页面同时把一个值给这个返回的页面该怎么写？</a>
					<div>
						问题描述 我想从后台返回给一个jsp页面同时把一个值给这个返回的页面该怎么写? 主要是不明白后台的控制函数的返回类型该怎么写,还有就是如何把参数给那个jsp.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7BgWM.html" rel="bookmark" class="title">《Java程序员面试秘笈》&mdash;&mdash; 1&period;5 线程中断的控制</a>
					<div>
						1.5 线程中断的控制 通过上一节,你已经学会了如何去中断执行中的线程,也学会了如何在线程对象中去控制这个中断.上一个例子中使用的机制,可以使用在线程很容易被中断的情况下.但是,如果线程实现了复杂的算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY2e0p.html" rel="bookmark" class="title">我是菜鸟，望指教，关于eclipse中新建的第一个SWT文件的原生库导入问题</a>
					<div>
						问题描述 我照理说应该是导入了原生库,并在文件系统中应用了,但为什么我的第一个工程还是有错,importorg.eclipse.swt.SWT;下面出现黄色的波浪线,这是什么情况啊,鼠标一上去他就显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXRG1z.html" rel="bookmark" class="title">网络代购被掐</a>
					<div>
						今年国庆节前夕,新西兰初级产业部(MPI)和海关开始采取行动,制止从新西兰非法出口婴儿配方奶粉.根据新西兰动物产品法案(APA)规定,一切将奶制品带离新西兰本土的行为都被视为输出,包括网购及亲友赠送等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkBVDM.html" rel="bookmark" class="title">国内旅游网站进入决战期</a>
					<div>
						近来,在线旅游业新闻层出不穷,或合作.或分手.或约架,比如同程与携程艺龙的爱恨情仇.携程与去哪儿的绯闻.艺龙与去哪儿的官司等.透过现象看本质,国内旅游网站经过多年发展,已进入决战期,各家网站正在排兵布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ7EYp.html" rel="bookmark" class="title">中电信中高层调整 多省公司一把手更换</a>
					<div>
						[TechWeb报道]12月9日消息,知情人士透露,中国电信新一轮中高层调整已基本结束,涉及近多名省公司和总部部门负责人.一下是调整详细情况:鲁东明接任中国电信办公厅主任中国通信服务公司总经理郑奇宝将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqDWjb.html" rel="bookmark" class="title">Top100论文导读：深入理解卷积神经网络CNN（Part Ⅱ）</a>
					<div>
						更多深度文章,请关注:https://yq.aliyun.com/cloud 作者信息 Adrian Colyer:morning paper编辑.Accel Partners投资合伙人.Spring ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwd51M.html" rel="bookmark" class="title">自动化测试，从入门到放弃</a>
					<div>
						介绍 有多少本书,在打着&quot;从入门到精通&quot;的旗号在忽悠人.因为,并没有看到我们周围有多少个&quot;精通&quot;的人. 虽然有点武断,我还是建议不要去购买带有&quot;从入门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZXonp.html" rel="bookmark" class="title">K12，再好的愿景遇到商业都会慢慢失去真正的目标</a>
					<div>
						K12,再好的愿景遇到商业都会慢慢失去真正的目标 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot;创作公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBrJ2M.html" rel="bookmark" class="title">《数据库技术原理与应用教程》一3&period;6&period;3文件系统</a>
					<div>
						3.6.3文件系统 1 文件系统的组成 文件系统是实现数据库系统的直接物理支持.文件系统由项.记录.文件及文件集合四个层次组成. 1)项(item).项是文件系统中最小基本单位. 2)记录(recor ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
